Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.source
Class ImageUtilities

    java.lang.Object
      org.eclipse.jface.text.source.ImageUtilities

public class ImageUtilities
extends Object

Provides methods for drawing images onto a canvas.

Since:
  3.0

Constructor Summary
`ImageUtilities()`

Method Summary
`static void` | `drawImage(Image image, GC gc, Canvas canvas, Rectangle r, int align)` Draws an image aligned inside the given rectangle on the given canvas.
`static void` | `drawImage(Image image, GC gc, Canvas canvas, Rectangle r, int halign, int valign)` Draws an image aligned inside the given rectangle on the given canvas.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageUtilities

    public ImageUtilities()

Method Detail

### drawImage

    public static void drawImage(Image image,
                                 GC gc,
                                 Canvas canvas,
                                 Rectangle r,
                                 int halign,
                                 int valign)

  Draws an image aligned inside the given rectangle on the given canvas.

  Parameters:
    `image` - the image to be drawn
    `gc` - the drawing GC
    `canvas` - the canvas on which to draw
    `r` - the clipping rectangle
    `halign` - the horizontal alignment of the image to be drawn
    `valign` - the vertical alignment of the image to be drawn

### drawImage

    public static void drawImage(Image image,
                                 GC gc,
                                 Canvas canvas,
                                 Rectangle r,
                                 int align)

  Draws an image aligned inside the given rectangle on the given canvas.

  Parameters:
    `image` - the image to be drawn
    `gc` - the drawing GC
    `canvas` - the canvas on which to draw
    `r` - the clipping rectangle
    `align` - the alignment of the image to be drawn

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.